Up

# NSToolbar class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSToolbar class
2. Software documentation for the NSObject(NSToolbarDelegate) informal protocol

# Software documentation for the NSToolbar class

## NSToolbar : NSObject

> Declared in:
>   AppKit/NSToolbar.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -allowsUserCustomization
- -autosavesConfiguration
- -configurationDictionary
- -customizationPaletteIsRunning
- -delegate
- -displayMode
- -identifier
- -initWithIdentifier:
- -insertItemWithItemIdentifier:atIndex:
- -isVisible
- -items
- -removeItemAtIndex:
- -runCustomizationPalette:
- -selectedItemIdentifier
- -setAllowsUserCustomization:
- -setAutosavesConfiguration:
- -setConfigurationFromDictionary:
- -setDelegate:
- -setDisplayMode:
- -setSelectedItemIdentifier:
- -setShowsBaselineSeparator:
- -setSizeMode:
- -setVisible:
- -showsBaselineSeparator
- -sizeMode
- -validateVisibleItems
- -visibleItems

### allowsUserCustomization

- (BOOL) allowsUserCustomization;
Availability: OpenStep
Description forthcoming.

### autosavesConfiguration

- (BOOL) autosavesConfiguration;
Availability: OpenStep
Description forthcoming.

### configurationDictionary

- (NSDictionary*) configurationDictionary;
Availability: OpenStep
Description forthcoming.

### customizationPaletteIsRunning

- (BOOL) customizationPaletteIsRunning;
Availability: OpenStep
Description forthcoming.

### delegate

- (id) delegate;
Availability: OpenStep
Description forthcoming.

### displayMode

- (NSToolbarDisplayMode) displayMode;
Availability: OpenStep
Description forthcoming.

### identifier

- (NSString*) identifier;
Availability: OpenStep
Description forthcoming.

### initWithIdentifier:

- (id) initWithIdentifier: (NSString*)identifier;
Availability: OpenStep
Description forthcoming.

### insertItemWithItemIdentifier: atIndex:

- (void) insertItemWithItemIdentifier: (NSString*)itemIdentifier atIndex: (NSInteger)index;
Availability: OpenStep
Description forthcoming.

### isVisible

- (BOOL) isVisible;
Availability: OpenStep
Description forthcoming.

### items

- (NSArray*) items;
Availability: OpenStep
Description forthcoming.

### removeItemAtIndex:

- (void) removeItemAtIndex: (NSInteger)index;
Availability: OpenStep
Description forthcoming.

### runCustomizationPalette:

- (void) runCustomizationPalette: (id)sender;
Availability: OpenStep
Description forthcoming.

### selectedItemIdentifier

- (NSString*) selectedItemIdentifier;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setAllowsUserCustomization:

- (void) setAllowsUserCustomization: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setAutosavesConfiguration:

- (void) setAutosavesConfiguration: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setConfigurationFromDictionary:

- (void) setConfigurationFromDictionary: (NSDictionary*)configDict;
Availability: OpenStep
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)delegate;
Availability: OpenStep
Sets the receivers delegate... this is the object which will receive -toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar: -toolbarAllowedItemIdentifiers: and -toolbarDefaultItemIdentifiers: messages.

### setDisplayMode:

- (void) setDisplayMode: (NSToolbarDisplayMode)displayMode;
Availability: OpenStep
Sets the receivers delegate... this is the object which will receive -toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar: -toolbarAllowedItemIdentifiers: and -toolbarDefaultItemIdentifiers: messages.

### setSelectedItemIdentifier:

- (void) setSelectedItemIdentifier: (NSString*)itemIdentifier;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setShowsBaselineSeparator:

- (void) setShowsBaselineSeparator: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setSizeMode:

- (void) setSizeMode: (NSToolbarSizeMode)sizeMode;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setVisible:

- (void) setVisible: (BOOL)shown;
Availability: OpenStep
Description forthcoming.

### showsBaselineSeparator

- (BOOL) showsBaselineSeparator;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### sizeMode

- (NSToolbarSizeMode) sizeMode;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### validateVisibleItems

- (void) validateVisibleItems;
Availability: OpenStep
Description forthcoming.

### visibleItems

- (NSArray*) visibleItems;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSToolbar Class

### _allowsUserCustomization

@protected BOOL _allowsUserCustomization;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _autosavesConfiguration

@protected BOOL _autosavesConfiguration;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _build

@protected BOOL _build;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _configurationDictionary

@protected NSMutableDictionary* _configurationDictionary;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _customizationPaletteIsRunning

@protected BOOL _customizationPaletteIsRunning;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _displayMode

@protected NSToolbarDisplayMode _displayMode;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _identifier

@protected NSString* _identifier;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _items

@protected NSMutableArray* _items;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selectedItemIdentifier

@protected NSString* _selectedItemIdentifier;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _showsBaselineSeparator

@protected BOOL _showsBaselineSeparator;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _sizeMode

@protected int _sizeMode;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _toolbarView

@protected GSToolbarView* _toolbarView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _visible

@protected BOOL _visible;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSToolbarDelegate) informal protocol

## NSObject(NSToolbarDelegate)

> Declared in:
>   AppKit/NSToolbar.h

Availability: OpenStep
Description forthcoming.
Method summary

- -toolbar:itemForItemIdentifier:willBeInsertedIntoToolbar:
- -toolbarAllowedItemIdentifiers:
- -toolbarDefaultItemIdentifiers:
- -toolbarDidRemoveItem:
- -toolbarSelectableItemIdentifiers:
- -toolbarWillAddItem:

### toolbar: itemForItemIdentifier: willBeInsertedIntoToolbar:

- (NSToolbarItem*) toolbar: (NSToolbar*)toolbar itemForItemIdentifier: (NSString*)itemIdentifier willBeInsertedIntoToolbar: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### toolbarAllowedItemIdentifiers:

- (NSArray*) toolbarAllowedItemIdentifiers: (NSToolbar*)toolbar;
Availability: OpenStep
Description forthcoming.

### toolbarDefaultItemIdentifiers:

- (NSArray*) toolbarDefaultItemIdentifiers: (NSToolbar*)toolbar;
Availability: OpenStep
Description forthcoming.

### toolbarDidRemoveItem:

- (void) toolbarDidRemoveItem: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

### toolbarSelectableItemIdentifiers:

- (NSArray*) toolbarSelectableItemIdentifiers: (NSToolbar*)toolbar;
Availability: OpenStep
Description forthcoming.

### toolbarWillAddItem:

- (void) toolbarWillAddItem: (NSNotification*)aNotification;
Availability: OpenStep
Description forthcoming.

Up